Skip to main content
GET
/
alpha
/
borrow
/
portfolio
/
events
/
{userAddress}
/
{network}
/
{marketId}
/
{assetAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/borrow/portfolio/events/{userAddress}/{network}/{marketId}/{assetAddress} \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "timestamp": 123,
      "blockNumber": "<string>",
      "eventType": "supply",
      "assetAmountNative": "<string>",
      "transactionHash": "<string>",
      "logIndex": 123
    }
  ],
  "items": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Canonical network slug

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink
marketId
string
required

Canonical market identifier

Minimum string length: 1
userAddress
string
required

Address of the user whose borrow market transaction history is requested

Pattern: ^0x[a-fA-F0-9]{40}$
assetAddress
string
required

Canonical asset address within the borrow market

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Default Response

data
object[]
required

List of borrow market events sorted by timestamp

items
integer
required

Total number of transaction events